Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Interface ObjectNameSource

    public interface ObjectNameSource

Source for database object names (identifiers).

Method Summary
`String` | `getExplicitName()` Retrieve the name explicitly provided by the user.
`String` | `getLogicalName()` Retrieve the logical name for this object.

Method Detail

### getExplicitName

    String getExplicitName()

  Retrieve the name explicitly provided by the user.

  Returns:
    The explicit name.

### getLogicalName

    String getLogicalName()

  Retrieve the logical name for this object. Usually this is the name under which the "thing" is registered with the `Mappings`.

  Returns:
    The logical name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.